# -*- ecoding: utf-8 -*-
# @ModuleName: mongo_utils
# @Function: 
# @Author: 安辉
# @Time: 2022/1/18 5:30 下午

import sys
import pymongo

if sys.platform in ['win32', 'darwin']:
    MONGO_CONF = {
        'host': '39.99.32.199',
        'port': 27016,
    }
    mongo_client = pymongo.MongoClient(host=MONGO_CONF['host'], port=MONGO_CONF['port'])
else:
    MONGO_CONF = {
        'host': '172.24.24.229',
        'port': 27016,
        'user': 'root',
        'passwd': 'liujiatian@reyun'
    }
    mongo_client = pymongo.MongoClient(host=MONGO_CONF['host'], port=MONGO_CONF['port'], username=MONGO_CONF['user'],
                                       password=MONGO_CONF['passwd'])


class MongoUtils(object):

    def __init__(self, db=None, collection=None):
        self.mongo_db = mongo_client[db]
        self.collection = self.mongo_db[collection]

    def insert(self, data):
        if isinstance(data, list):
            self.collection.insert_many(data)
        elif isinstance(data, dict):
            self.collection.insert(data)

    def close_db(self):
        mongo_client.close()
