# -*- ecoding: utf-8 -*-
# @ModuleName: redis_utils
# @Function: 
# @Author: 安辉
# @Time: 2022/1/18 4:31 下午
import re
import sys
import redis

if sys.platform in ['win32', 'darwin']:
    # redis配置
    REDIS_HOST = '39.99.32.199'
    REDIS_PORT = 6379
    REDIS_PARAMS = {
        'password': 'reyun_adi',
    }
else:
    # redis配置
    REDIS_HOST = 'r-hp3d05tt4mpw03sw4u.redis.huhehaote.rds.aliyuncs.com'
    REDIS_PORT = 6379
    REDIS_PARAMS = {
        'password': 'Reyun_adi_redis',
    }

REDIS_PASS = REDIS_PARAMS['password']
REDIS_DB = 0


class RedisUtils(object):
    def __init__(self, db=REDIS_DB):
        self.pool = redis.ConnectionPool(host=REDIS_HOST, port=REDIS_PORT, db=db, password=REDIS_PASS,
                                         decode_responses=True)
        self.conn = redis.Redis(connection_pool=self.pool)

    def redis_sadd(self, key, value):
        self.conn.sadd(key, value)

    def get_real_ip(self, proxy: str):
        if re.search(r'((?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?))',
                     proxy):
            return re.search(
                r'((?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?))',
                proxy).group(1)

        r = self.conn
        try:
            real_ip = r.hget('proxy:real_ip', proxy).decode('utf-8')
        except:
            real_ip = ''
        return real_ip


redis_db3_conn = RedisUtils(3)
redis_db0_conn = RedisUtils(0)
